Set product variant templates
Replaces the variant templates for a product
PUT
/api/v1/{team_slug}/{app_slug}/products/{product_id}/variant-groups/templatesPath parameters
team_slugstringrequiredTeam slug
app_slugstringrequiredApp slug
product_idstringrequiredProduct ID
Request body
requiredapplication/jsonAttribute template keys
attribute_template_keysstring[]requiredmin items 1 · max items 10
Responses
200
Updated variant templates
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantTemplate[]requiredShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantTemplateattribute_template_idstringcreated_atstringidstringtemplate_keystringtemplate_namestringupdated_atstring | nulldetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired404
Attribute template not found
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired